<Input::ContainerGroup
  class="input-manage-questions"
  @isMainValue={{true}}
  @title={{@title}}
  @onSave={{this.save}}
  @onCancel={{this.cancel}}
  @onEdit={{@onEdit}}
  @editablePanel={{@editablePanel}}
  @savingPanel={{@savingPanel}}
  as |editMode|
>
  {{#if editMode}}
    <h5 class="name-label mt-3">{{capitalize (t "survey-feature-name-label")}}</h5>
    <Input::Options::Panel class="name-options" @space={{@space}} @config={{this.nameConfig}} @value={{this.name}} @onChange={{this.changeNameOptions}} />

    <h5 class="description-label mt-3">{{capitalize (t "survey-feature-description-label")}}</h5>
    <Input::Options::Panel class="description-options" @space={{@space}} @config={{this.descriptionConfig}} @value={{this.description}} @onChange={{this.changeDescriptionOptions}} />

    <h5 class="pictures-label mt-3">{{capitalize (t "survey-feature-pictures-label")}}</h5>
    <Input::Options::Panel class="pictures-options" @space={{@space}} @config={{this.picturesConfig}} @value={{this.pictures}} @onChange={{this.changePicturesOptions}} />

    <h5 class="icons-label mt-3">{{capitalize (t "survey-feature-icons-label")}}</h5>
    <Input::Options::Panel class="icons-options" @space={{@space}} @config={{this.iconsConfig}} @value={{this.icons}} @onChange={{this.changeIconsOptions}} />

    <label class="form-label fw-medium mt-2 text-success">{{t "survey-optional-icons-question"}}</label>
    <Input::Icons::List @icons={{@availableIcons}} @value={{this.optionalIcons.data.records}} @onChange={{this.iconsChanged}} @showIconTypeLabel={{false}} />

    <h5 class="location-label mt-3">{{capitalize (t "survey-feature-location-label")}}</h5>
    <Input::Options::Panel class="location-options" @space={{@space}} @config={{this.locationConfig}} @value={{this.location}} @onChange={{this.changeLocationOptions}} />
  {{else}}
    <h5 class="name-label">{{capitalize (t "survey-feature-name-label")}}</h5>
    {{#if this.name.customQuestion}}
      <div class="alert alert-light alert-name-field">
        <p class="message">
          {{capitalize (t "survey-feature-name-enabled")}}
        </p>
        <p class="d-block name-label-value fw-bold">
          {{this.name.label}}
        </p>
      </div>
    {{else}}
      <div class="alert alert-info alert-name-field">
        {{capitalize (t "survey-feature-name-disabled")}}
      </div>
    {{/if}}

    <h5 class="description-label">{{capitalize (t "survey-feature-description-label")}}</h5>
    {{#if this.name.customQuestion}}
      <div class="alert alert-light alert-description-field">
        <p class="message">
          {{capitalize (t "survey-feature-description-enabled")}}
        </p>
        <p class="d-block description-label-value fw-bold">
          {{this.description.label}}
        </p>
      </div>
    {{else}}
      <div class="alert alert-info alert-description-field">
        {{capitalize (t "survey-feature-description-disabled")}}
      </div>
    {{/if}}

    <h5 class="pictures-label">{{capitalize (t "survey-feature-pictures-label")}}</h5>
    <div class="alert {{if (or this.pictures.customQuestion this.pictures.isMandatory) "alert-light" "alert-info"}} alert-pictures-field">
      <p class="d-block message-pictures">
        {{#if this.pictures.isMandatory}}
          {{capitalize (t "survey-feature-pictures-mandatory")}}
        {{else}}
          {{capitalize (t "survey-feature-pictures-default")}}
        {{/if}}
      </p>

      {{#if this.pictures.label}}
        <div class="message message-question d-block">
          {{capitalize (t "survey-feature-pictures-enabled")}}
        </div>
        <p class="d-block pictures-label-value fw-bold">
          {{this.pictures.label}}
        </p>
      {{/if}}
    </div>

    <h5 class="icons-label">{{capitalize (t "survey-feature-icons-label")}}</h5>
    {{#if (and this.iconsLabel @optionalIcons)}}
      <div class="alert alert-light alert-icons-field">
        <p class="message">
          {{t "survey-feature-icons-enabled"}}
        </p>
        <p class="d-block icons-label-value fw-bold">
          {{this.iconsLabel}}
        </p>

        <p class="d-block">
          {{t "survey-optional-icons-label"}}
        </p>
        <View::Icons @value={{this.optionalIcons}} />
      </div>
    {{else}}
      <div class="alert alert-info alert-icons-field">
        {{t "survey-feature-icons-disabled"}}
      </div>
    {{/if}}

    <h5 class="location-label">{{capitalize (t "survey-feature-location-label")}}</h5>
    <div class="alert alert-{{if this.locationLabel 'light' 'info'}} alert-location-field">
      <div class="location-field-message">
        {{#if (and this.location.customQuestion this.location.label)}}
          <p class="message">
            {{t "survey-feature-location-enabled"}}
          </p>

          <p class="d-block location-label-value fw-bold">
            {{this.location.label}}
          </p>
        {{/if}}

        <p>
          {{capitalize (t "survey-location-field-message")}}
        </p>
      </div>

      <ul class="m-0 location-option-list">
        {{#if this.location.allowGps}}
          <li>{{t "survey-locationGps"}}</li>
        {{/if}}

        {{#if this.location.allowManual}}
          <li>{{t "survey-locationManual"}}</li>
        {{/if}}

        {{#if this.location.allowAddress}}
          <li>{{t "survey-locationAddress"}}</li>
        {{/if}}

        {{#if this.location.allowExistingFeature}}
          <li>{{t "survey-locationExistingFeature"}}</li>
        {{/if}}
      </ul>
    </div>
  {{/if}}
</Input::ContainerGroup>